(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core'], factory) :
	(factory((global['ngx-restapi'] = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

var RestApiResource = /** @class */ (function () {
    function RestApiResource() {
        this.apiUrl = 'http://restapi.co/api/';
    }
    RestApiResource.prototype.setApiKey = function (apiKey) {
        this.apiKey = apiKey;
    };
    RestApiResource.prototype.all = function (resourceName) {
        return 'restapi all';
    };
    RestApiResource.prototype.get = function (resourceName, id) {
        return 'restapi get' + id;
    };
    RestApiResource.prototype.resourceUrl = function (resourceName) {
        return "" + this.apiUrl + this.apiKey + "/" + resourceName;
    };
    RestApiResource.decorators = [
        { type: core.Injectable },
    ];
    /** @nocollapse */
    RestApiResource.ctorParameters = function () { return []; };
    return RestApiResource;
}());

exports.RestApiResource = RestApiResource;

Object.defineProperty(exports, '__esModule', { value: true });

})));
