import { Injectable } from '@angular/core';
var RestApiResource = /** @class */ (function () {
    function RestApiResource() {
        this.apiUrl = 'http://restapi.co/api/';
    }
    RestApiResource.prototype.setApiKey = function (apiKey) {
        this.apiKey = apiKey;
    };
    RestApiResource.prototype.all = function (resourceName) {
        return 'restapi all';
    };
    RestApiResource.prototype.get = function (resourceName, id) {
        return 'restapi get' + id;
    };
    RestApiResource.prototype.resourceUrl = function (resourceName) {
        return "" + this.apiUrl + this.apiKey + "/" + resourceName;
    };
    RestApiResource.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    RestApiResource.ctorParameters = function () { return []; };
    return RestApiResource;
}());
export { RestApiResource };
//# sourceMappingURL=ngx-restapi.service.js.map